SELECT username
#,COUNT(DISTINCT visit.pcucode,visit.visitno,visit.username) AS COUNT
,COUNT(CONCAT(visitno,pcucode,username)) as 'ครั้ง'
FROM visit
WHERE visitdate BETWEEN '2015-05-01' AND '2015-05-31'
GROUP BY username
#ORDER BY count DESC
UNION SELECT 'รวม' AS username
#,COUNT(DISTINCT visit.pcucode,visit.visitno,visit.username) AS COUNT
,COUNT(CONCAT(visitno,pcucode,username)) as 'ครั้ง'
FROM visit
WHERE visitdate BETWEEN '2015-05-01' AND '2015-05-31';

